com.orsoncharts

## Class TitleAnchor

- java.lang.Object
- - com.orsoncharts.TitleAnchor

-     public final class TitleAnchor
      extends java.lang.Object

  Predefined title anchor points, provided for convenience. These anchor points are instances of the `Anchor2D` class, initialised with an offset of 4 units from each corner of the target rectangle.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Anchor2D` | `BOTTOM_CENTER` An anchor point at the bottom-center of the chart area.
    `static Anchor2D` | `BOTTOM_LEFT` An anchor point at the bottom-left of the chart area.
    `static Anchor2D` | `BOTTOM_RIGHT` An anchor point at the bottom-right of the chart area.
    `static Anchor2D` | `CENTER` An anchor point at the center of the chart area (provided for completeness, you wouldn't normally anchor a chart title at the center).
    `static Anchor2D` | `CENTER_LEFT` An anchor point at the center-left of the chart area.
    `static Anchor2D` | `CENTER_RIGHT` An anchor point at the center-right of the chart area.
    `static Anchor2D` | `TOP_CENTER` An anchor point at the top-center of the chart area.
    `static Anchor2D` | `TOP_LEFT` An anchor point at the top-left of the chart area.
    `static Anchor2D` | `TOP_RIGHT` An anchor point at the top-right of the chart area.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOP_LEFT

          public static final Anchor2D TOP_LEFT

      An anchor point at the top-left of the chart area.

    - #### TOP_RIGHT

          public static final Anchor2D TOP_RIGHT

      An anchor point at the top-right of the chart area.

    - #### TOP_CENTER

          public static final Anchor2D TOP_CENTER

      An anchor point at the top-center of the chart area.

    - #### CENTER_LEFT

          public static final Anchor2D CENTER_LEFT

      An anchor point at the center-left of the chart area.

    - #### CENTER

          public static final Anchor2D CENTER

      An anchor point at the center of the chart area (provided for completeness, you wouldn't normally anchor a chart title at the center).

    - #### CENTER_RIGHT

          public static final Anchor2D CENTER_RIGHT

      An anchor point at the center-right of the chart area.

    - #### BOTTOM_CENTER

          public static final Anchor2D BOTTOM_CENTER

      An anchor point at the bottom-center of the chart area.

    - #### BOTTOM_LEFT

          public static final Anchor2D BOTTOM_LEFT

      An anchor point at the bottom-left of the chart area.

    - #### BOTTOM_RIGHT

          public static final Anchor2D BOTTOM_RIGHT

      An anchor point at the bottom-right of the chart area.